package com.engine.organization.mapper.staff;


import com.engine.organization.entity.staff.po.StaffPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;

/**
 * @Author dxfeng
 * @Description: TODO
 * @Date 2022/5/25
 * @Version V1.0
 **/
public interface StaffMapper {

    /**
     * 根据ID查询编制方案
     * @param id
     * @return
     */
    StaffPO getStaffByID(@Param("id") long id);

    /**
     * 插入编制方案
     * @param staffPO
     * @return
     */
    int insertIgnoreNull(StaffPO staffPO);

    /**
     * 修改，修改所有字段
     *
     * @param staffPO
     * @return
     */
    int updateStaff(StaffPO staffPO);


    /**
     * 批量删除
     *
     * @param ids
     */
    int deleteByIds(@Param("ids") Collection<Long> ids);

}
